//This file contains extra code features to awesomify your Axon-mote

//AVR includes
#define RPRINTF_FLOAT			//bring in floating point library for rprintf
#include <stdlib.h>
#include <math.h>				//complex math library
#include <stdint.h>
#include <avr/wdt.h>
#include "Axon_Mote_wireless.h"	//handles ZigBee stuff

//it's easier to be green
#define Green_LED statusLED

//stores On/Off/On mode of switch
//for example, it can be a master/slave switch, etc.
#define LEFT 1
#define RIGHT 0

//gives error messages to make debugging your code easier
#include "Axon_Mote_errors.h"	//error debugging help support


//wireless code values
boolean MODE;
uint8_t CHANNEL=17;//set wireless channel (11 is default if not set)


//turns off watchdog timer after reset
uint8_t mcusr_mirror __attribute__ ((section (".noinit")));

void disable_watchdog(void) \
  __attribute__((naked)) \
  __attribute__((section(".init3")));
void disable_watchdog(void)
	{
	mcusr_mirror = MCUSR;
	MCUSR = 0;
	wdt_disable();
	}
